<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
</head>
<body>
    <h2>Custom Login Page</h2>

    <div th:if="${param.error}">
        <p th:text="${session.error}" th:unless="${session == null}">[...]</p>
    </div>

    <div th:if="${param.logout}">You have been logged out.</div>

    <form name='f' th:action="@{/login}" method="post">
        <table>
            <tr>
                <td>Login:</td>
                <td><input type="text" name="username"></td>
            </tr>
            <tr>
                <td>Password:</td>
                <td><input type="password" name="password" /></td>
            </tr>
            <tr>
                <td><input name="submit" type="submit" value="Log in" /></td>
            </tr>
        </table>
    </form>

    <p th:if="${param.error}">Login failed!</p>
</body>
</html>